PDA

View Full Version : Re: firebird in SLES 11 SP1



malcolmlewis
14-Sep-2011, 20:13
On Tue, 23 Aug 2011 19:06:02 GMT
animati <animati@no-mx.forums.novell.com> wrote:

>
> yes! I used the 1-click.
>
> all the stuffs seems to be installed but I can't run it...
>
> any other help?
>
>
Hi
So it's the 'classic' version that uses xinetd, so is xinetd running?

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.7-desktop
up 1 day 22:10, 7 users, load average: 0.11, 0.14, 0.17
GPU GeForce 8600 GTS Silent - Driver Version: 280.13

animati
14-Sep-2011, 21:36
yes. I try:

s1:/var/lib/firebird # isql-fb
Use CONNECT or CREATE DATABASE to specify a database
SQL> CONNECT /var/lib/firebird/data/employee.fdb ;
Statement failed, SQLCODE = -902
operating system directive open failed
-No such file or directory
SQL>


--
animati
------------------------------------------------------------------------
animati's Profile: http://forums.novell.com/member.php?userid=110863
View this thread: http://forums.novell.com/showthread.php?t=443063

animati
14-Sep-2011, 21:36
or:

s1:/var/lib/firebird # isql-fb
Use CONNECT or CREATE DATABASE to specify a database
SQL> CREATE DATABASE teste;
Statement failed, SQLCODE = -104
SQL error code = -104
-Token unknown
-TESTE
SQL>


--
animati
------------------------------------------------------------------------
animati's Profile: http://forums.novell.com/member.php?userid=110863
View this thread: http://forums.novell.com/showthread.php?t=443063

animati
14-Sep-2011, 22:16
finally I got it working. I had to use the rpm package install from
official firebird website ('Firebird: Firebird 2.5'
(http://www.firebirdsql.org/en/server-packages/))

the firebird in SLES 11 SP1 packages are not good.


--
animati
------------------------------------------------------------------------
animati's Profile: http://forums.novell.com/member.php?userid=110863
View this thread: http://forums.novell.com/showthread.php?t=443063

malcolmlewis
14-Sep-2011, 22:24
On Wed, 14 Sep 2011 21:16:02 GMT
animati <animati@no-mx.forums.novell.com> wrote:

>
> finally I got it working. I had to use the rpm package install from
> official firebird website ('Firebird: Firebird 2.5'
> (http://www.firebirdsql.org/en/server-packages/))
>
> the firebird in SLES 11 SP1 packages are not good.
>
>
Hi
I have fired off an email to the package maintainer to look at this
thread.

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.7-desktop
up 2 days 0:24, 7 users, load average: 0.11, 0.11, 0.13
GPU GeForce 8600 GTS Silent - Driver Version: 280.13

paul reeves
15-Sep-2011, 16:36
You forgot to quote the string "teste"

SQL> create database "teste";
SQL> drop database;


--
paul_reeves
------------------------------------------------------------------------
paul_reeves's Profile: http://forums.novell.com/member.php?userid=116734
View this thread: http://forums.novell.com/showthread.php?t=443063

paul reeves
15-Sep-2011, 16:46
It looks as if something went seriously wrong during the install.

The need to restart xinetd is a gotcha, although it is documented. It
is probably more intuitive to install firebird-ss to start with, because
it is likely to be more obvious that running rcfirebird start is going
to be needed. I sometimes catch myself out by forgetting to restart
xinetd.

I don't know if installing the suse Firebird packages has been tested
on SLES 11 but it certainly works on 11.1 and 11.3

Hopefully I'll get some time soon to check this in more detail.


--
paul_reeves
------------------------------------------------------------------------
paul_reeves's Profile: http://forums.novell.com/member.php?userid=116734
View this thread: http://forums.novell.com/showthread.php?t=443063